// =====================================================================
//  $Id: TSoftwareModule.cc,v 1.4 2004/03/07 10:30:31 goiwai Exp $
//  $Name: CLDAQ-1-14-06 $
//  $Log: TSoftwareModule.cc,v $
//  Revision 1.4  2004/03/07 10:30:31  goiwai
//  ROOTに組みこむためのおまじないマクロを埋めこみました。
//  全てにおいて完全に動作するわけではありません。
//
//  Revision 1.3  2003/10/06 17:02:40  goiwai
//  *** empty log message ***
//
//  Revision 1.2  2003/07/30 16:19:11  goiwai
//  ファイルにコミットログをつけることにしました.
//
// =====================================================================
#include "TSoftwareModule.hh"

TSoftwareModule::TSoftwareModule( Tint nchannel )
  : TModule( nchannel )
{;}

TSoftwareModule::TSoftwareModule( const TSoftwareModule& right )
  : TModule( right )
{;}

TSoftwareModule::~TSoftwareModule()
{;}

const TSoftwareModule& TSoftwareModule::operator=( const TSoftwareModule& right )
{
  *( (TModule*)this ) = *( (TModule*)(&right) );
  return *this;
}

Tbool TSoftwareModule::operator==( const TSoftwareModule& right ) const
{
  return *( (TModule*)this ) == *( (TModule*)(&right) );
}

Tbool TSoftwareModule::operator!=( const TSoftwareModule& right ) const
{
  return *( (TModule*)this ) != *( (TModule*)(&right) );
}

#ifdef __CLDAQ_ROOT_DLL
    ClassImp(TSoftwareModule)
#endif
